Bug 1287435 - Review Request: vagrant-hostmanager - Vagrant plugin to manage /etc/hosts
Summary: Review Request: vagrant-hostmanager - Vagrant plugin to manage /etc/hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-02 05:32 UTC by Randy Barlow
Modified: 2015-12-14 10:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-14 10:22:13 UTC
jstribny: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2015-12-02 05:32:03 UTC
Spec URL: https://rbarlow.fedorapeople.org/vagrant-hostmanager.spec
SRPM URL: https://rbarlow.fedorapeople.org/vagrant-hostmanager-1.6.1-1.fc24.src.rpm
Description: vagrant-hostmanager is a Vagrant plugin that manages the /etc/hosts file
on guest machines (and optionally the host). Its goal is to enable
resolution of multi-machine environments deployed with a cloud provider
where IP addresses are not known in advance.
Fedora Account System Username: rbarlow

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12027585

Comment 1 Josef Stribny 2015-12-02 09:13:31 UTC
Package builds, installs, runs. Specfile looks good.

I would probably liked to see a -doc subpackage where files like CHANGELOG.md, README.md, and even the "build" files such as Gemfile or Rakefile together with test suite live. Including all those files might be handy to users and at the same time putting everything in -doc subpackage provides the main package without things not needed for runtime.

As this is more of a wish of mine (but common practice within Ruby SIG), I approve the package and leave the decision to you.

==> Approved.

Comment 2 Randy Barlow 2015-12-02 22:32:24 UTC
Thank you for the review Josef! I'll make the -doc change as you suggest.

Comment 3 Gwyn Ciesla 2015-12-04 12:55:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/vagrant-hostmanager

Comment 4 Randy Barlow 2015-12-04 18:02:33 UTC
I have built release 1 for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12055294

I intend to release release 1 on F23, and I'll update release 2 on Rawhide to include the -doc package so that gets included with F24. Thanks again for the review!

Comment 5 Fedora Update System 2015-12-04 18:07:33 UTC
vagrant-hostmanager-1.6.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-146e85b73e

Comment 6 Fedora Update System 2015-12-06 17:21:00 UTC
vagrant-hostmanager-1.6.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update vagrant-hostmanager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-146e85b73e

Comment 7 Randy Barlow 2015-12-14 03:52:26 UTC
Hi Josef! I've filed https://bugzilla.redhat.com/show_bug.cgi?id=1291123 to track adding the -doc package in case you are interested. I should find some time to do it in the next few weeks. Thanks against for the review!

Comment 8 Fedora Update System 2015-12-14 10:22:10 UTC
vagrant-hostmanager-1.6.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.